
From: Tom Rini <trini@kernel.crashing.org>

Correct the defines for MC146818 RTCs, reg c is interrupts, reg d is not
watchdog (it's valid time & nvram).



---

 25-akpm/include/asm-ppc/todc.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-ppc/todc.h~ppc32-watchdog-defines-fixes include/asm-ppc/todc.h
--- 25/include/asm-ppc/todc.h~ppc32-watchdog-defines-fixes	Thu Jan 22 15:45:11 2004
+++ 25-akpm/include/asm-ppc/todc.h	Thu Jan 22 15:45:11 2004
@@ -290,8 +290,8 @@ typedef struct {
 #define	TODC_TYPE_MC146818_SECONDS		0x00
 #define	TODC_TYPE_MC146818_CNTL_B		0x0a
 #define	TODC_TYPE_MC146818_CNTL_A		0x0b	/* control_a R/W regs */
-#define	TODC_TYPE_MC146818_WATCHDOG		0x0c
-#define	TODC_TYPE_MC146818_INTERRUPTS		0x0d
+#define	TODC_TYPE_MC146818_WATCHDOG		0
+#define	TODC_TYPE_MC146818_INTERRUPTS		0x0c
 #define	TODC_TYPE_MC146818_ALARM_DATE		0xff
 #define	TODC_TYPE_MC146818_ALARM_HOUR		0x05
 #define	TODC_TYPE_MC146818_ALARM_MINUTES	0x03

_
